package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(member_rank_organization_fee_mapper):
 */
public class MemberRankOrganizationFeeMapper {

	/**  */
	private Integer id;
	
	/**  */
	private Integer organId;
	
	/**  */
	private Integer memberRankSettingId;

	/**  */
	private Integer operatorId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private String rankName;

	private String organName;

	private Integer memberFeeSettingId;

	private MemberFeeSetting memberFeeSetting;
	
	public MemberFeeSetting getMemberFeeSetting() {
		return memberFeeSetting;
	}

	public void setMemberFeeSetting(MemberFeeSetting memberFeeSetting) {
		this.memberFeeSetting = memberFeeSetting;
	}

	public Integer getMemberFeeSettingId() {
		return memberFeeSettingId;
	}

	public void setMemberFeeSettingId(Integer memberFeeSettingId) {
		this.memberFeeSettingId = memberFeeSettingId;
	}

	public String getRankName() {
		return rankName;
	}

	public void setRankName(String rankName) {
		this.rankName = rankName;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setMemberRankSettingId(Integer memberRankSettingId){
		this.memberRankSettingId = memberRankSettingId;
	}
	
	public Integer getMemberRankSettingId(){
		return this.memberRankSettingId;
	}

	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
